- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces
elevator.h File Reference
Auxiliary Data Structures

## Detailed Description

Elevator class implements an efficient data structure for labeling items in push-relabel type algorithms.

`#include <lemon/core.h>`
`#include <lemon/bits/traits.h>`

## Classes
class | Elevator< GR, Item >
| Class for handling "labels" in push-relabel type algorithms. More...
class | LinkedElevator< GR, Item >
| Class for handling "labels" in push-relabel type algorithms. More...

## Namespaces
| lemon
| The namespace of LEMON.